<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Box Sizing Demo</title>

	<style type="text/css">
		/*

			Without border-box
			- it adds uop the set padding and border to the total size of the element
			total size = padding+ + border + set length (width & height)
			2px border + 100 padding + width of 150px = 252px width

			With the border-box
			total size = p + b + adjusted length (width & height)
			2px border + 100 padding (50 for both sides) + width of 48px (width) = 150px

		*/

		*{
			margin: 0;
			padding: 0;
			box-sizing: border-box;
		}

		#box {
			height: 150px;
			width: 150px;
			background-color: orange;

			padding: 50px;
			border: 1px solid black;
		}
	

	</style>
</head>
<body>
	<div id="box">Hello</div>
</body>
</html>